# Array

Source:
  - constructors/extensions/prototype.js, line 1938

### Methods

#### __pointerFilter(cb) → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 2233

##### Parameters:

Name | Type | Description
--- | --- | ---
`cb` | function | receives 3 parameters ( item, index, array )

##### Returns:

Type
  Array.<any>

#### base64encode() → {ArrayBuffer}

Source:
  - constructors/extensions/prototype.js, line 2064

##### Returns:

Type
  ArrayBuffer

#### bytesToHex() → {string}

Source:
  - constructors/extensions/prototype.js, line 2096

##### Returns:

Type
  string

#### inArray(a, comparator) → {boolean}

Source:
  - constructors/extensions/prototype.js, line 2006

##### Parameters:

Name | Type | Description
--- | --- | ---
`a` | any |
`comparator` | function |

##### Returns:

Type
  boolean

#### indexOfSect(items, fromIndexopt) → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 2256

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`items` | Array.<any> |  |  |
`fromIndex` | number | <optional> | `0` |

##### Returns:

Type
  Array.<any>

#### max() → {any}

Source:
  - constructors/extensions/prototype.js, line 1976

##### Returns:

Type
  any

#### min() → {any}

Source:
  - constructors/extensions/prototype.js, line 1948

##### Returns:

Type
  any

#### move(from, to) → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 1994

##### Parameters:

Name | Type | Description
--- | --- | ---
`from` | number |
`to` | number |

##### Returns:

Type
  Array.<any>

#### resetArray() → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 2110

##### Returns:

Type
  Array.<any>

#### shuffle() → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 1966

##### Returns:

Type
  Array.<any>

#### split(elem, num, cmp) → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 2022

##### Parameters:

Name | Type | Description
--- | --- | ---
`elem` | any |
`num` | number | number of items
`cmp` | 'indexOf' | 'lastIndexOf' | 'indexOfSect' |

##### Returns:

Type
  Array.<any>

#### splitSect(elem, num) → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 2040

##### Parameters:

Name | Type | Description
--- | --- | ---
`elem` | Array.<any> |
`num` | number | number of items

##### Returns:

Type
  Array.<any>

#### toBinaryString() → {string}

Source:
  - constructors/extensions/prototype.js, line 2072

##### Returns:

Type
  string

#### toBlob(mimetype, sliceSizeopt) → {Blob}

Source:
  - constructors/extensions/prototype.js, line 2050

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`mimetype` | string |  |  |
`sliceSize` | number | <optional> | `1024` | number of items

##### Returns:

Type
  Blob

#### toBytesBinary() → {string}

Source:
  - constructors/extensions/prototype.js, line 2080

##### Returns:

Type
  string

#### toBytesEscaped() → {string}

Source:
  - constructors/extensions/prototype.js, line 2088

##### Returns:

Type
  string

#### toParamObj() → {Object.<any, any>}

Source:
  - constructors/extensions/prototype.js, line 2104

##### Returns:

Type
  Object.<any, any>

#### toStringUtf8() → {string}

Source:
  - constructors/extensions/prototype.js, line 2429

##### Returns:

Type
  string

#### unique() → {Array.<any>}

Source:
  - constructors/extensions/prototype.js, line 2225

##### Returns:

Type
  Array.<any>